bangla joint letter problem

Bug #1243061 reported by shantanu saha on 2013-10-22
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
chromium-browser (Ubuntu)
Undecided
Unassigned

Bug Description

Bangla joint letters is not corrctly visible in chromium-browser. Bangla fonts are already installed. Firefox, google-chrome are working just fine. I am attaching a screenshot. Related word should be
"দুর্দান্ত বক্তব্য"

chromium-browser encoding setting is UTF-8

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: chromium-browser 29.0.1547.65-0ubuntu2
ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
Uname: Linux 3.11.0-12-generic x86_64
ApportVersion: 2.12.5-0ubuntu2
Architecture: amd64
Date: Tue Oct 22 12:32:54 2013
Desktop-Session:
 DESKTOP_SESSION = ubuntu
 XDG_CONFIG_DIRS = /etc/xdg/xdg-ubuntu:/usr/share/upstart/xdg:/etc/xdg
 XDG_DATA_DIRS = /usr/share/ubuntu:/usr/share/gnome:/usr/local/share/:/usr/share/
Env:
 MOZ_PLUGIN_PATH = None
 LD_LIBRARY_PATH = None
ExecutablePath: /usr/lib/chromium-browser/chromium-browser
MarkForUpload: True
SourcePackage: chromium-browser
UpgradeStatus: No upgrade log present (probably fresh install)
chromium-default: CHROMIUM_FLAGS=""
gconf-keys: /desktop/gnome/applications/browser/exec = b'/usr/bin/chromium-browser\n'/desktop/gnome/url-handlers/https/command = b'firefox %s\n'/desktop/gnome/url-handlers/https/enabled = b'true\n'/desktop/gnome/url-handlers/http/command = b'firefox %s\n'/desktop/gnome/url-handlers/http/enabled = b'true\n'/desktop/gnome/session/required_components/windowmanager = b''/apps/metacity/general/compositing_manager = b''/desktop/gnome/interface/icon_theme = b''/desktop/gnome/interface/gtk_theme = b''

Chad Miller (cmiller) wrote :

What version of Google Chrome works?

Changed in chromium-browser (Ubuntu):
assignee: nobody → Chad Miller (cmiller)
status: New → Incomplete

Version 29.0.1547.65 Ubuntu 13.10 (29.0.1547.65-0ubuntu2). I think information you asked was there already.

"Package: chromium-browser 29.0.1547.65-0ubuntu2
ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3"

Chad Miller (cmiller) wrote :

shantanu, You compared chromium-browser to Google Chrome and said that Chrome works. I'm interested in the Chrome version, in addition to the chromium-browser version.

I am sorry i didn't get it.

google-chrome-stable 30.0.1599.66-1 [google chrome]
firefox 24.0

The following steps fixed the problem for me.

Go to settings > customize fonts>
Change standard font , serif font, sans-serif font, fixed-width fonts to any bangla font (i.e solaimanLipi)
Encoding to UTF-8

Chad Miller (cmiller) wrote :

That doesn't seem like a fix for everyone, shantanu. Is it that the default font doesn't support bangla? You changed four things, too, I see. Which one or ones is it that solved your problem? Specificity matters.

Also, do you mind attaching a screenshot of the corrupted text here? You put plain text above, but that doesn't show the problem if my web browser is affected by this bug, which is the very problem of this report.

Chad Miller (cmiller) wrote :

Not screenshot of corrupted, but of uncorrupted.

Is it that the default font doesn't support bangla? No

Which one or ones is it that solved your problem? I changed only standard font to bangla first. but it didn't work. After that i changed all four to bangl font. I will check all possible combination and let you know.

do you mind attaching a screenshot of the corrupted text here? I attached a screenshot of corrupted text in chromium. I post this bug using firefox. Now i am using chromium.

Not screenshot of corrupted, but of uncorrupted. Sorry I didn't get this.

Chad Miller (cmiller) wrote :

This is my Cr v30 screenshot.

Chad Miller (cmiller) wrote :

shantanu, I want to make sure the bug is fixed. Please open chromium-browser with a temporary-profile, and see if you see the problem.

If you do, please

$ sudo add-apt-repository ppa:cmiller/chromium-browser-stable-daily
$ sudo apt-get update
$ sudo apt-get install chromium-browser
$ sudo add-apt-repository --remove ppa:cmiller/chromium-browser-stable-daily

and then run chromium-browser and try to reproduce.

I am attaching a screenshot. Word should be like the screenshot.

On Wed, Oct 23, 2013 at 6:04 PM, Chad Miller <email address hidden>wrote:

> This is my Cr v30 screenshot.
>
> ** Attachment added: "30.0.1599.101-0ubuntu1~cm0saucy"
>
> https://bugs.launchpad.net/ubuntu/+source/chromium-browser/+bug/1243061/+attachment/3888543/+files/bangla-30.png
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1243061
>
> Title:
> bangla joint letter problem
>
> Status in “chromium-browser” package in Ubuntu:
> Incomplete
>
> Bug description:
> Bangla joint letters is not corrctly visible in chromium-browser. Bangla
> fonts are already installed. Firefox, google-chrome are working just fine.
> I am attaching a screenshot. Related word should be
> "দুর্দান্ত বক্তব্য"
>
> chromium-browser encoding setting is UTF-8
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.10
> Package: chromium-browser 29.0.1547.65-0ubuntu2
> ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
> Uname: Linux 3.11.0-12-generic x86_64
> ApportVersion: 2.12.5-0ubuntu2
> Architecture: amd64
> Date: Tue Oct 22 12:32:54 2013
> Desktop-Session:
> DESKTOP_SESSION = ubuntu
> XDG_CONFIG_DIRS = /etc/xdg/xdg-ubuntu:/usr/share/upstart/xdg:/etc/xdg
> XDG_DATA_DIRS =
> /usr/share/ubuntu:/usr/share/gnome:/usr/local/share/:/usr/share/
> Env:
> MOZ_PLUGIN_PATH = None
> LD_LIBRARY_PATH = None
> ExecutablePath: /usr/lib/chromium-browser/chromium-browser
> MarkForUpload: True
> SourcePackage: chromium-browser
> UpgradeStatus: No upgrade log present (probably fresh install)
> chromium-default: CHROMIUM_FLAGS=""
> gconf-keys: /desktop/gnome/applications/browser/exec =
> b'/usr/bin/chromium-browser\n'/desktop/gnome/url-handlers/https/command =
> b'firefox %s\n'/desktop/gnome/url-handlers/https/enabled =
> b'true\n'/desktop/gnome/url-handlers/http/command = b'firefox
> %s\n'/desktop/gnome/url-handlers/http/enabled =
> b'true\n'/desktop/gnome/session/required_components/windowmanager =
> b''/apps/metacity/general/compositing_manager =
> b''/desktop/gnome/interface/icon_theme =
> b''/desktop/gnome/interface/gtk_theme = b''
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/chromium-browser/+bug/1243061/+subscriptions
>

This bug is not fixed in daily build version.
How to fixed :
Go to settings > Customize fonts
change Sans-serif font (3rd option) to any bangla unicode font.
Problem will solve immediately. Don't need to restart browser.

I am attaching two comparative screenshoots. 1st before set bangla font and
2nd after set bangla font.

On Wed, Oct 23, 2013 at 7:22 PM, shantanu saha <email address hidden>wrote:

> I am attaching a screenshot. Word should be like the screenshot.
>
>
> On Wed, Oct 23, 2013 at 6:04 PM, Chad Miller <email address hidden>wrote:
>
>> This is my Cr v30 screenshot.
>>
>> ** Attachment added: "30.0.1599.101-0ubuntu1~cm0saucy"
>>
>> https://bugs.launchpad.net/ubuntu/+source/chromium-browser/+bug/1243061/+attachment/3888543/+files/bangla-30.png
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1243061
>>
>> Title:
>> bangla joint letter problem
>>
>> Status in “chromium-browser” package in Ubuntu:
>> Incomplete
>>
>> Bug description:
>> Bangla joint letters is not corrctly visible in chromium-browser.
>> Bangla fonts are already installed. Firefox, google-chrome are working just
>> fine. I am attaching a screenshot. Related word should be
>> "দুর্দান্ত বক্তব্য"
>>
>> chromium-browser encoding setting is UTF-8
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 13.10
>> Package: chromium-browser 29.0.1547.65-0ubuntu2
>> ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
>> Uname: Linux 3.11.0-12-generic x86_64
>> ApportVersion: 2.12.5-0ubuntu2
>> Architecture: amd64
>> Date: Tue Oct 22 12:32:54 2013
>> Desktop-Session:
>> DESKTOP_SESSION = ubuntu
>> XDG_CONFIG_DIRS = /etc/xdg/xdg-ubuntu:/usr/share/upstart/xdg:/etc/xdg
>> XDG_DATA_DIRS =
>> /usr/share/ubuntu:/usr/share/gnome:/usr/local/share/:/usr/share/
>> Env:
>> MOZ_PLUGIN_PATH = None
>> LD_LIBRARY_PATH = None
>> ExecutablePath: /usr/lib/chromium-browser/chromium-browser
>> MarkForUpload: True
>> SourcePackage: chromium-browser
>> UpgradeStatus: No upgrade log present (probably fresh install)
>> chromium-default: CHROMIUM_FLAGS=""
>> gconf-keys: /desktop/gnome/applications/browser/exec =
>> b'/usr/bin/chromium-browser\n'/desktop/gnome/url-handlers/https/command =
>> b'firefox %s\n'/desktop/gnome/url-handlers/https/enabled =
>> b'true\n'/desktop/gnome/url-handlers/http/command = b'firefox
>> %s\n'/desktop/gnome/url-handlers/http/enabled =
>> b'true\n'/desktop/gnome/session/required_components/windowmanager =
>> b''/apps/metacity/general/compositing_manager =
>> b''/desktop/gnome/interface/icon_theme =
>> b''/desktop/gnome/interface/gtk_theme = b''
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/chromium-browser/+bug/1243061/+subscriptions
>>
>
>

Chad Miller (cmiller) on 2013-10-23
Changed in chromium-browser (Ubuntu):
status: Incomplete → Confirmed
Olivier Tilloy (osomon) wrote :

Is this still an issue with the latest chromium?

Changed in chromium-browser (Ubuntu):
assignee: Chad Miller (cmiller) → nobody
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for chromium-browser (Ubuntu) because there has been no activity for 60 days.]

Changed in chromium-browser (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.